package com.gic.haoban.manage.api.dto;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanKeyData
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月01日 17:42:33
 * @Modify
 * @CopyRight 
 */
public class KeyDataDTO implements Serializable{

	private static final long serialVersionUID = 1978554156094100L;
	
	private Long id;
	private String enterpriseId ;
	private String relationId;
	private String dataKey;
	private String data;
	/**1活码手机号加密 2动态活码*/
	private Integer type;
	private java.util.Date createTime;
	
	public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return id;
	}
	public void setData(String data){
		this.data = data;
	}
	
	public String getData(){
		return data;
	}
	public void setType(Integer type){
		this.type = type;
	}
	
	public Integer getType(){
		return type;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}

    public String getDataKey() {
        return dataKey;
    }

    public void setDataKey(String dataKey) {
        this.dataKey = dataKey;
    }
	
}